Name:          libportmidi
Version:       236
Release:       2mamba
Summary:       A library supporting real-time input and output of MIDI data using a system-independent interface
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mixxxdj/portmidi
Source:        https://github.com/mixxxdj/portmidi.git/%{version}/portmidi-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/project/portmedia/portmidi/%{version}/portmidi-src-%{version}.zip
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
## AUTOBUILDREQ-END
%ifarch %{ix86} arm
Provides:      libporttime.so
Provides:      libportmidi.so
%endif
%ifarch x86_64 aarch64
Provides:      libporttime.so()(64bit)
Provides:      libportmidi.so()(64bit)
%endif

%description
PortMidi is a library for software developers. It supports real-time input and output of MIDI data using a system-independent interface. PortMidi runs on Windows (using MME), Macintosh (using CoreMIDI), and Linux (using ALSA).

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
PortMidi is a library for software developers. It supports real-time input and output of MIDI data using a system-independent interface. PortMidi runs on Windows (using MME), Macintosh (using CoreMIDI), and Linux (using ALSA).
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n portmidi-%{version}
#sed -i "s|/usr/local|/usr|" \
#   pm_common/CMakeLists.txt \
#   pm_dylib/CMakeLists.txt \
#   pm_java/CMakeLists.txt

sed -i "s|lib/cmake/PortMidi|%{_lib}/cmake/PortMidi|" CMakeLists.txt

%build
%cmake -d build

#   -DCMAKE_ARCHIVE_OUTPUT_DIRECTORY:STRING=%{_builddir}/portmidi/Release \
#   -DCMAKE_LIBRARY_OUTPUT_DIRECTORY:STRING=%{_builddir}/portmidi/Release \
#   -DCMAKE_RUNTIME_OUTPUT_DIRECTORY:STRING=%{_builddir}/portmidi/Release

#sed -i "s|pm_java/pm_java|pm_java|" pm_java/CMakeFiles/pmdefaults_target.dir/build.make

%make
#-j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
#LIBRARY_DESTINATION=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libportmidi.so.*
%{_libdir}/libporttime.so.*
%{_libdir}/libportmidi.so
%{_libdir}/libporttime.so
%doc license.txt

%files devel
%defattr(-,root,root)
%{_includedir}/pmutil.h
%{_includedir}/portmidi.h
%{_includedir}/porttime.h
%{_libdir}/pkgconfig/portmidi.pc
%dir %{_libdir}/cmake/PortMidi
%{_libdir}/cmake/PortMidi/PortMidi*.cmake

%changelog
* Sun Oct 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 236-2mamba
- provide legacy libportmidi.so and libporttime.so

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 236-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 235.1-1mamba
- update to 235.1

* Tue Apr 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 217-2mamba
- added libporttime as a symlink to libportmidi, required by denemo

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 217-1mamba
- package created by autospec
